Update Notification
Update a Notification with the given UUID.
This endpoint modifies the configuration details of an existing Notification. You can change the Event that triggers the Notification and/or update the conditions for sending the Notification.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
The unique identifier (UUID) of the Notification to update.
Body
Request containing a Notification entity.
The name of the Notification.
1"Commitment has under 10% remaining"
The description for the Notification providing a brief overview of its purpose and functionality.
1"Commitment amount fell below 10%"
The short code for the Notification.
1"commitment_under_10_percent"
The name of the Event type that the Notification is based on. When an Event of this type occurs and any calculation built into the Notification evaluates to True, the Notification is triggered.
Note: If the Notification is set to always fire, then the Notification will always be sent when the Event of the type it is based on occurs, and without any other conditions defined by a calculation having to be met.
1"configuration.commitment.updated"
The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
Boolean flag that sets the Notification as active or inactive. Only active Notifications are sent when triggered by the Event they are based on:
- TRUE - set Notification as active.
- FALSE - set Notification as inactive.
true
A Boolean flag indicating whether the Notification is always triggered, regardless of other conditions and omitting reference to any calculation. This means the Notification will be triggered simply by the Event it is based on occurring and with no further conditions having to be met.
- TRUE - the Notification is always triggered and omits any reference to the calculation to check for other conditions being true before triggering the Notification.
- FALSE - the Notification is only triggered when the Event it is based on occurs and any calculation is checked and all conditions defined by the calculation are met.
false
A logical expression that that is evaluated to a Boolean. If it evaluates as True, a Notification for the Event is created and sent to the configured destination.
Calculations can reference numeric, string, and boolean Event fields.
See Creating Calculations in the m3ter documentation for more information.
"(new.amountSpent >= ((new.amount*90)/100)) \nAND ((old.amountSpent <= ((old.amount*90)/100)) OR (old.amountSpent == null))"
Response
Returns the updated Notification
Response containing a Notification entity.
The UUID of the entity.
The name of the Notification.
1"Commitment has under 10% remaining"
The description for the Notification providing a brief overview of its purpose and functionality.
1"Commitment amount fell below 10%"
The short code for the Notification.
1"commitment_under_10_percent"
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The DateTime when this item was created (in ISO-8601 format).
The DateTime when this item was last modified (in ISO-8601 format).
The ID of the user who created this item.
The ID of the user who last modified this item.
A Boolean flag indicating whether or not the Notification is active.
- TRUE - active Notification.
- FALSE - inactive Notification.
true
A Boolean flag indicating whether the Notification is always triggered, regardless of other conditions and omitting reference to any calculation. This means the Notification will be triggered simply by the Event it is based on occurring and with no further conditions having to be met.
- TRUE - the Notification is always triggered and omits any reference to the calculation to check for other conditions being true before triggering the Notification.
- FALSE - the Notification is only triggered when the Event it is based on occurs and any calculation is checked and all conditions defined by the calculation are met.
false
The name of the Event that the Notification is based on. When this Event occurs and the calculation evaluates to True, the Notification is triggered.
Note: If the Notification is set to always fire, then the Notification will always be sent when the Event it is based on occurs, and without any other conditions defined by a calculation having to be met.
"configuration.commitment.updated"
A logical expression that that is evaluated to a Boolean. If it evaluates as True, a Notification for the Event is created and sent to the configured destination.
Calculations can reference numeric, string, and boolean Event fields.
See Creating Calculations in the m3ter documentation for more information.
"(new.amountSpent >= ((new.amount*90)/100)) \nAND ((old.amountSpent <= ((old.amount*90)/100)) OR (old.amountSpent == null))"